// Put global layout stuff here

.site-container {
    width: 100%;
    margin: auto;
    margin-top: $amateur-margin-small - 12px;
    padding-right: $global-padding;
    padding-left: $global-padding;

    @include breakpoint(medium) {
        width: 640px -($amateur-margin-small);
        margin-top: $amateur-margin-large - 12px;
        padding: 0;
    }
    @include breakpoint(large) {
        width: 1024px -($amateur-margin-small * 2);
    }
    @include breakpoint(xlarge) {
        width: 1200px -($amateur-margin-large * 2);
    }
    @include breakpoint(xxlarge) {
        width: auto;
        margin-right: $amateur-margin-large;
        margin-left: $amateur-margin-large;
    }

}

.floating-menu {
    float: right;
    a {
        text-decoration: none;

        color: $black;
        &:hover {
            text-decoration: underline;

            color: $amateur-blue;
        }
    }
    .is-active {
        text-decoration: underline;

        color: $amateur-blue;
    }
}

p {
    margin-bottom: $amateur-margin-small - 9px;

    @include breakpoint(large) {
        margin-bottom: $amateur-margin-large - 19px;
    }
    &:last-of-type {
        margin-bottom: none;
    }
}

section {
    margin-bottom: $amateur-high-margin-small - 18px;

    @include breakpoint(medium) {
        margin-bottom: $amateur-high-margin-large - 18px;
    }
}

a {
    text-decoration: underline;

    color: $black;
    &:hover {
        color: $amateur-blue;
    }
}

.active-title {
    color: $amateur-blue;
}

h1, h2, h3, h4, h5, h6 {
    margin: 0;
}
